[OK]Les "locales" de Mepis

Modérateur: Modérateurs et Modératrices

[OK]Les "locales" de Mepis

Messagede piercoco » 19 Sep 2005, 15:10

Bonjour,

suite à une mise à jour, Synaptic est passé en Anglais, et j'ai un message :

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = "fr_FR@euro",
LANG = "fr_FR@euro"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C")


Mes recherches m'ont ammené à visiter divers fichiers de config et paramètres, sans jamais trouver "locales" qui semble être la cause de mes problèmes.

Je ne peux installer "locales" il manque un fichier introuvable, j'ai réinstaller "debconf", "debconf-i18n", "debconf-utils" sans que rien ne change !!

Je ne sais pas quoi modifier, craignant de faire empirer la situation.

Y a-t-il une solution ???
piercoco
 
Messages: 1681
Inscription: 25 Déc 2002, 17:14
Localisation: nice

Messagede Jim Rakoto » 19 Sep 2005, 18:36

Salut Piercoco

Il faudrait signaler deux choses :

les dépôts utilisés : testing ou unstable

la version de KDE : 3.4.1 ou 3.4.2-2 (avec 3.4.2-3, 3.4.2-4) upgrade hier en unstable

Chez moi, locales = 2.3.5-6

A+
Mes configs Linux user #402189
Garder toujours son sens critique en éveil en utilisant le doute rationnel comme filtre de lecture.
Avatar de l’utilisateur
Jim Rakoto
Modérateur
 
Messages: 6152
Inscription: 09 Mar 2004, 19:49
Localisation: Durbuy

Messagede piercoco » 19 Sep 2005, 21:26

Salut,

alors, les dépots sont testing, avec Simply Mépis j'ai abandonné les unstables de la Pro Mépis.

KDE est en version 4:3.3.2

Pour locales ... j'ai un pb, je n'ai pas de locales installés, il y a un paquet, non géré par Mépis en version 2.3.2.ds1-22 dans synaptic.

Voila voila voila ...
piercoco
 
Messages: 1681
Inscription: 25 Déc 2002, 17:14
Localisation: nice

Messagede piercoco » 26 Sep 2005, 20:07

Bonsoir,

je reste sans solution, les avis donnés sur différents sites font référence à locale, que je ne peux installer car il réclame glibc-2.3.2.ds1-22 qui n'est pas installable :!: :roll: :twisted: :!: :roll: :evil: :!:

La situation :

Synaptic est passé en Anglais
Les minutes dans Calendrier de Kontact sont "MM" ??? l'heure de Kweather est correcte ??
Mon imprimante ne foctionne plus j'ai un message :
La connexion au serveur CUPS a échoué. Vérifiez que le serveur CUPS est installé correctement et qu'il fonctionne. Erreur : connexion refusée.


Jamais réussi à le remettre en place !!!

Sinon tout va bien ...
piercoco
 
Messages: 1681
Inscription: 25 Déc 2002, 17:14
Localisation: nice

Messagede Jim Rakoto » 26 Sep 2005, 20:31

Salut

Ben oui, dépend de libc6 , libc6-dev ... qui chez moi sont en version...2.3.5-6 comme locales !

Mais je joue avec dépôts unstable

je ne sais pas du tout comment ils publient leurs paquetages mais c'est pas clair
soit ils sortent des trucs en unstable pas nécessairement "bétonnés", soit ils les sortent en testin mais avec des dépendances qui restent en unstable et donc pas proposées.
le résultat est le même. on plante ou bloque pour des dépendances pas "au point"

Faire une mise à jour des libc6 en unstable ?

A+
Mes configs Linux user #402189
Garder toujours son sens critique en éveil en utilisant le doute rationnel comme filtre de lecture.
Avatar de l’utilisateur
Jim Rakoto
Modérateur
 
Messages: 6152
Inscription: 09 Mar 2004, 19:49
Localisation: Durbuy

Messagede piercoco » 20 Oct 2005, 12:31

Bonjour,

les pb sont toujours là .... pas vraiment de solutions sur les sites Mepis ....

Ci-dessous copie de mon post sur le forum Mépis France ... au cas où ...
Bonjour,

mon pb est toujours là, je vis avec .... sauf que depuis deux jours Synaptic a été supprimé lors d'une mise à jour !!

J'ai déjà eu ce cas et j'ai réussi à le réinstaller, cette fois,
imposible; il manque des dépots ou les dépots sont de niveaux différents !?

Il est demandé :
libbz2 (=1.0.2-10) mais j'ai 1.0.2-8, et impossible de trouver l'autre.
libxml2 (>= 2.6.2-1) mais j'ai 2.6.20-1 et même chose.

Pour locales, disponible dans Kpackage il manque glibc-2.3.2.dsl-22, apt-get install indique "disponible dans un autre package", j'ai essayé unstable, j'utilise etch, mais rien !!!

J'ai également un pb d'affichage des accents sur les pages des sites, pas sur mon clavier.

Où trouver une explication à tous ces problèmes que je pense tous liés ???

Les explications et solutions trouvées ci et là n'ont rien données de concluant.

Merci de vos idées.


Merci aux Assiste .. ants également.
piercoco
 
Messages: 1681
Inscription: 25 Déc 2002, 17:14
Localisation: nice

Messagede Jim Rakoto » 20 Oct 2005, 13:26

Salut ,


d'abord un essai en tapant dans console en root : dpkg -s locales
puis essayer :dpkg -reconfigure locales

Je viens d'avoir un problème de plantage avec une mise à jour en unstable (eh oui), la fameuse phrase : mepis login:.....

J'ai réinstallé Mepis en choisissant "sauvegarder /home en cas de mise à jour", pas de formatage évidemment, choisi exactement les mêmes identifiants...et Mepis s'est lancé comme s'il ne s'était rien passé. J'ai juste dû réinstaller Opera et Amaya

J'ai fait les mises à jour avec dépôts testing > à modifier en "etch"
installer noyau 2.6.11 gentiment

et pas de problème de locales.

A+
Mes configs Linux user #402189
Garder toujours son sens critique en éveil en utilisant le doute rationnel comme filtre de lecture.
Avatar de l’utilisateur
Jim Rakoto
Modérateur
 
Messages: 6152
Inscription: 09 Mar 2004, 19:49
Localisation: Durbuy

Messagede piercoco » 20 Oct 2005, 13:37

Salut,

j'ai fait le 1 er dpkg ... messages copieux de désinstalletionS .. si j'ai bien compris, quand au second ça n'a pas l'air de lui plaire !!

Je redémarre le bourin ...

Je n'ai pas vraiment envie de réinstaller Mépis .... mais pour passer en noyau 2.6.11 "gentiment" et sans pépins :p comment faut-il faire ??

@+ .. peut-être.
piercoco
 
Messages: 1681
Inscription: 25 Déc 2002, 17:14
Localisation: nice

Messagede Aleph33 » 20 Oct 2005, 17:35

Bonjour,

En complément de la réponse donnée sur Mépis France, un lien sur le tutorial à moins que tu ne le connaisses déjà.
http://www.mepis-france.org/forum/viewtopic.php?t=229

Bon courage
Aleph 33 :wink:
XP Home Officiel SP2, ZAFree, e Trust EZAV 8.3, BitDefender Free Edition 7, Ad Aware SE Personnal, Spybot sans tea-timer, SpywareBlaster, ProcessGuard v3.1 FullVersion, RegistryProt, DropMyRights, XP-AntiSpy, Safe XP, Firefox, MozBackup et SyncBack, CCleaner, RegCleaner, modem-routeur DLink WiFi
Aleph33
 
Messages: 152
Inscription: 07 Oct 2005, 21:49
Localisation: Pamiers à 68 km de Toulouse ou Bordeaux (France)

Messagede Jim Rakoto » 20 Oct 2005, 19:18

Salut

Normalement les paquetages se trouvent dans Synaptic

Faut chercher les paquets 2.6.11.6 mepis 3.3

alsa-modules-2.6.11.6_1.0.8-7+MEPIS.3.3_i386.deb
cloop-module-2.6.11.6_2.01.5-4+MEPIS.3.3_i386.deb
eagle-usb-modules-2.6.11.6_2.1.1-1+MEPIS.3.3_i386.deb (si modem usb)
fglrx-kernel-2.6.11.6_8.10.19-1+MEPIS.3.3_i386.deb (si carte ATI)
kernel-doc-2.6.11.6_MEPIS.3.3_all.deb
kernel-extras-2.6.11.6_MEPIS.3.3_i386.deb
kernel-extras-srcs-2.6.11.6_MEPIS.3.3_i386.deb
kernel-headers-2.6.11.6_MEPIS.3.3_i386.deb
kernel-image-2.6.11.6_MEPIS.3.3_i386.deb
kernel-source-2.6.11.6_MEPIS.3.3_all.deb
ndiswrapper-modules-2.6.11.6_1.1-1+MEPIS.3.3_i386.deb
nvidia-kernel-2.6.11.6_1.0.7174-1+MEPIS.3.3_i386.deb

répondre OK aux questions

Quand c'est fait il faut aller avec Konqueror superutilisateur dans /boot/grub/menu.lst

et coller juste avant lignes 2.6.10 ou copier les lignes de 2.6.10 en remplaçant 2.6.10 par 2.6.11.6

title MEPIS sur sda2, noyau 2.6.11.6 (attention, vérifier ce qui est inscrit pour le noyau 2.6.10, ce n'est peut-être pas sda2)
kernel (hd0,1)/boot/vmlinuz-2.6.11.6 root=/dev/sda2 nomce quiet splash=verbose vga=791
initrd (hd0,1)/boot/initrd.splash


Et au démarrage, Grub proposera en 1 de démarrer sur 2.6.11.6

voilà, voilà

A+
Mes configs Linux user #402189
Garder toujours son sens critique en éveil en utilisant le doute rationnel comme filtre de lecture.
Avatar de l’utilisateur
Jim Rakoto
Modérateur
 
Messages: 6152
Inscription: 09 Mar 2004, 19:49
Localisation: Durbuy

Suivante

Retourner vers Linux (toutes distributions) et moi

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 8 invités